<script type="application/javascript">
    function onApiKeyChanged(e) {
      var apiKey = e.target.value;

      Homey.emit("api_key", { apiKey: apiKey }).then(function (result) {
        console.log(result);
      });
    }

    function onApiKeyInput(value) {
      var apiKey = value;

      Homey.emit("api_key", { apiKey: apiKey }).then(function (result) {
        console.log(result);
      });
    }
</script>

<header class="homey-header">
    <h1 class="homey-title" data-i18n="apikey.title"></h1>
    <p class="homey-subtitle" data-i18n="apikey.subtitle"></p>
</header>

<ol>
  <li data-i18n="apikey.steps.1"></li>
  <li data-i18n="apikey.steps.2"></li>
  <li data-i18n="apikey.steps.3"></li>
  <li data-i18n="apikey.steps.4"></li>
  <li data-i18n="apikey.steps.5"></li>
</ol>

<form class="homey-form">
    <fieldset class="homey-form-fieldset">  
      <div class="homey-form-group">
        <label class="homey-form-label" for="apiKey">API Key</label>
        <input class="homey-form-input" id="apiKey" type="text" value="" oninput="onApiKeyInput(this.value)"/>
      </div>
    </fieldset>
</form>
